%define name		sunxacml
%define version		1.2
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Implementation of the OASIS  XACML  standard
License:	BSD-style
Url:		http://sunxacml.sourceforge.net
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	sunxacml-1.2.tar.gz
Source1:	http://www.oasis-open.org/committees/download.php/6076/ConformanceTests.zip
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is an open source implementation of the OASIS  XACML
standard, written in the JavaTM  programming language. 
For more information about XACML look at our FAQ, the 
Programmer's Guide or the XACML TC web page. Sun's XACML 
Implementation requires the Java 2 Platform, Standard 
Edition version 1.4.0 or later.
This project provides complete support for all the mandatory 
features of XACML as well as a number of optional features. 
Specifically, there is full support for parsing both policy 
and request/response documents, determining applicability of 
policies, and evaluating requests against policies. All of 
the standard attribute types, functions, and combining 
algorithms are supported, and there are APIs for adding new 
functionality as needed. There are also APIs for writing new 
retrieval mechanisms used for finding things like policies 
and attributes. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Samples for %{name}
Group:		Development/Documentation

%description demo
Samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q 
# remove all binary libs
for f in $(find . -name "*.jar"); do
#   mv $f $f.no
    rm $f
done

%build
ant -f src/sunxacml/build.xml jar doc
mkdir src/tests/conf
pushd src/tests/conf
unzip -qq %{SOURCE1}
popd
sed -e 's/FILL THIS IN/conf/' src/tests/build.xml > tempf
cp tempf src/tests/build.xml
rm tempf
ant -f src/tests/build.xml run

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 src/sunxacml/build/lib/%{name}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} 
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr src/sunxacml/build/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p src/sunxacml/license.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p doc/*.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr sample/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Fri Apr 01 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2-1jpp
- First JPackage release
